jQuery(document).ready(function(){
    "use strict";

    jQuery('.tz_icon_search').on('click',function(){
        jQuery(this).parent().find('.tz-header-search-form').addClass('tz-header-search-form-show');
        jQuery(this).css('display','none');
        jQuery(this).parent().find('.tz_icon_close').css('display','block');
    });
    jQuery('.icon_close').on('click',function(){
        jQuery(this).parent().find('.tz-header-search-form').removeClass('tz-header-search-form-show');
        jQuery(this).parent().find('.tz_icon_search').css('display','block');
        jQuery(this).css('display','none');
    });

    //if (jQuery('.tz-header-type-7').length) {
    //    jQuery('body').addClass('tz-header-left');
    //};
}) ;

/**
 * method for menu
 */
jQuery(window).scroll(function(){
    "use strict";

    //var $_scrollTop = jQuery(window).scrollTop();
    //
    //var $_height = jQuery('.tz-headerTop').height();
    //
    //if ($_scrollTop > 0) {
    //    jQuery('.tz-header-type-3 .tz-headerBottom').addClass('tz-homeEff');
    //} else {
    //    jQuery('.tz-header-type-3 .tz-headerBottom').removeClass('tz-homeEff');
    //}
    //
    //if($_scrollTop > $_height){
    //    jQuery('.tz-header-type-1 .tz-headerBottom').addClass('tz-homeEff-1');
    //    jQuery('.tz-header-type-2 .tz-headerBottom').addClass('tz-homeEff-1');
    //}else{
    //    jQuery('.tz-header-type-1 .tz-headerBottom').removeClass('tz-homeEff-1');
    //    jQuery('.tz-header-type-2 .tz-headerBottom').removeClass('tz-homeEff-1');
    //}
    //
    //var $_height_slide = jQuery('.tz-header-slide').height();
    //
    //if($_scrollTop > $_height_slide){
    //    jQuery('.tz-header-type-4 .tz-headerBottom').addClass('tz-homeEff-1');
    //}else{
    //    jQuery('.tz-header-type-4 .tz-headerBottom').removeClass('tz-homeEff-1');
    //}
    //
    //var $_height_header_5 = jQuery('.tz-header-type-5').height();
    //
    //if($_scrollTop > $_height_header_5){
    //    jQuery('.tz-header-type-5 .tz-headerBottom').addClass('tz-homeEff-1');
    //}else{
    //    jQuery('.tz-header-type-5 .tz-headerBottom').removeClass('tz-homeEff-1');
    //}

    var scrollTop = jQuery(window).scrollTop();
    var height_header = jQuery('.tz-header').height();
    var height_scroll        = Math.floor(height_header + 150);

    if (scrollTop > 0) {
        jQuery('.tz-header-type-3 .tz-headerBottom').addClass('tz-homeEff');
    } else {
        jQuery('.tz-header-type-3 .tz-headerBottom').removeClass('tz-homeEff');
    }

    if(scrollTop > height_scroll){
        jQuery('.tz-header.scroll').addClass("active");
    }else{
        jQuery('.tz-header.scroll').removeClass("active");
    }
});